# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate ndarray

Name:           rust-ndarray
Version:        0.15.6
Release:        %autorelease
Summary:        N-dimensional array for general elements and for numerics

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/ndarray
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * - Bump approx dependency
# *   https://github.com/rust-ndarray/ndarray/pull/1380
Patch:          ndarray-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
An n-dimensional array for general elements and for numerics.
Lightweight array views and slicing; views support chunking and
splitting.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README-crates.io.md
%doc %{crate_instdir}/README-quick-start.md
%doc %{crate_instdir}/README.rst
%doc %{crate_instdir}/RELEASES.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+approx-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+approx-devel %{_description}

This package contains library source intended for building other packages which
use the "approx" feature of the "%{crate}" crate.

%files       -n %{name}+approx-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libc-devel %{_description}

This package contains library source intended for building other packages which
use the "libc" feature of the "%{crate}" crate.

%files       -n %{name}+libc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+matrixmultiply-threading-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+matrixmultiply-threading-devel %{_description}

This package contains library source intended for building other packages which
use the "matrixmultiply-threading" feature of the "%{crate}" crate.

%files       -n %{name}+matrixmultiply-threading-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages which
use the "rayon" feature of the "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rayon_-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon_-devel %{_description}

This package contains library source intended for building other packages which
use the "rayon_" feature of the "%{crate}" crate.

%files       -n %{name}+rayon_-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+test-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+test-devel %{_description}

This package contains library source intended for building other packages which
use the "test" feature of the "%{crate}" crate.

%files       -n %{name}+test-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f default,matrixmultiply-threading,rayon,serde,test

%build
%cargo_build -f default,matrixmultiply-threading,rayon,serde,test

%install
%cargo_install -f default,matrixmultiply-threading,rayon,serde,test

%if %{with check}
%check
%cargo_test -f default,matrixmultiply-threading,rayon,serde,test
%endif

%changelog
%autochangelog
